# Copyright (C) 1991-2010 Altera Corporation
# Your use of Altera Corporation's design tools, logic functions 
# and other software and tools, and its AMPP partner logic 
# functions, and any output files from any of the foregoing 
# (including device programming or simulation files), and any 
# associated documentation or information are expressly subject 
# to the terms and conditions of the Altera Program License 
# Subscription Agreement, Altera MegaCore Function License 
# Agreement, or other applicable license agreement, including, 
# without limitation, that your use is for the sole purpose of 
# programming logic devices manufactured by Altera and sold by 
# Altera or its authorized distributors.  Please refer to the 
# applicable agreement for further details.

# Quartus II: Generate Tcl File for Project
# File: RS.tcl
# Generated on: Fri Dec 10 23:48:59 2010

# Load Quartus II Tcl Project package
package require ::quartus::project

set need_to_close_project 0
set make_assignments 1

# Check that the right project is open
if {[is_project_open]} {
	if {[string compare $quartus(project) "RS"]} {
		puts "Project RS is not open"
		set make_assignments 0
	}
} else {
	# Only open if not already open
	if {[project_exists RS]} {
		project_open -revision RS RS
	} else {
		project_new -revision RS RS
	}
	set need_to_close_project 1
}

# Make assignments
if {$make_assignments} {
	set_global_assignment -name FAMILY "Cyclone II"
	set_global_assignment -name DEVICE EP2C35F672C6
	set_global_assignment -name ORIGINAL_QUARTUS_VERSION 10.1
	set_global_assignment -name PROJECT_CREATION_TIME_DATE "10:40:28  DECEMBER 08, 2010"
	set_global_assignment -name LAST_QUARTUS_VERSION 10.1
	set_global_assignment -name MIN_CORE_JUNCTION_TEMP 0
	set_global_assignment -name MAX_CORE_JUNCTION_TEMP 85
	set_global_assignment -name ERROR_CHECK_FREQUENCY_DIVISOR 1
	set_global_assignment -name PARTITION_NETLIST_TYPE SOURCE -section_id Top
	set_global_assignment -name PARTITION_FITTER_PRESERVATION_LEVEL PLACEMENT_AND_ROUTING -section_id Top
	set_global_assignment -name PARTITION_COLOR 16764057 -section_id Top
	set_global_assignment -name BDF_FILE RS.bdf
	set_global_assignment -name STRATIX_DEVICE_IO_STANDARD "3.3-V LVTTL"
	set_global_assignment -name MISC_FILE "c:/altera/projets/RS.dpf"
	set_global_assignment -name EDA_SIMULATION_TOOL "ModelSim-Altera (VHDL)"
	set_global_assignment -name EDA_OUTPUT_DATA_FORMAT VHDL -section_id eda_simulation
	set_global_assignment -name POWER_PRESET_COOLING_SOLUTION "23 MM HEAT SINK WITH 200 LFPM AIRFLOW"
	set_global_assignment -name POWER_BOARD_THERMAL_MODEL "NONE (CONSERVATIVE)"
	set_global_assignment -name EDA_RUN_TOOL_AUTOMATICALLY ON -section_id eda_simulation
	set_global_assignment -name LL_ENABLED ON -section_id RS
	set_global_assignment -name LL_AUTO_SIZE ON -section_id RS
	set_global_assignment -name LL_STATE FLOATING -section_id RS
	set_global_assignment -name LL_RESERVED OFF -section_id RS
	set_global_assignment -name LL_SECURITY_ROUTING_INTERFACE OFF -section_id RS
	set_global_assignment -name LL_IGNORE_IO_BANK_SECURITY_CONSTRAINT OFF -section_id RS
	set_global_assignment -name LL_WIDTH 1 -section_id RS
	set_global_assignment -name LL_HEIGHT 1 -section_id RS
	set_global_assignment -name LL_ORIGIN X1_Y1 -section_id RS
	set_global_assignment -name LL_MEMBER_OF RS -section_id RS
	set_global_assignment -name MISC_FILE "C:/altera/projets/RS.dpf"
	set_location_assignment PIN_G26 -to R
	set_location_assignment PIN_N23 -to S
	set_location_assignment PIN_AF23 -to Q
	set_location_assignment PIN_AE23 -to QB
	set_instance_assignment -name PARTITION_HIERARCHY root_partition -to | -section_id Top

	# Commit assignments
	export_assignments

	# Close project
	if {$need_to_close_project} {
		project_close
	}
}
