----------------------------------------------------------------------------------
-- Company: 
-- Engineer: 
-- 
-- Create Date:    16:32:22 11/20/2010 
-- Design Name: 
-- Module Name:    mux_data - Behavioral 
-- Project Name: 
-- Target Devices: 
-- Tool versions: 
-- Description: 
--
-- Dependencies: 
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

-- Uncomment the following library declaration if using
-- arithmetic functions with Signed or Unsigned values
--use IEEE.NUMERIC_STD.ALL;

-- Uncomment the following library declaration if instantiating
-- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity mux_data is
    Port ( data0 : in  STD_LOGIC_VECTOR (3 downto 0);
           data1 : in  STD_LOGIC_VECTOR (3 downto 0);
           data2 : in  STD_LOGIC_VECTOR (3 downto 0);
           data3 : in  STD_LOGIC_VECTOR (3 downto 0);
           sorties : out  STD_LOGIC_VECTOR (3 downto 0);
           anodes : out  STD_LOGIC_VECTOR (3 downto 0);
           clk : in  STD_LOGIC);
end mux_data;

architecture Behavioral of mux_data is
	type state_type is (digit0, digit1, digit2, digit3);
	signal state:state_type;
begin
	process(clk)
	begin
		if clk'event and clk='1' then
			case state is
					when digit0 =>
						state <= digit1;
					when digit1 =>
						state <= digit2;
					when digit2 =>
						state <= digit3;
					when digit3 =>
						state <= digit0;
			end case;
		end if;
	end process;
	with state select
		sorties <= data0 when digit0,
					 data1 when digit1,
					 data2 when digit2,
					 data3 when digit3;
	with state select
		anodes <= "1110" when digit0,
					 "1101" when digit1,
					 "1011" when digit2,
					 "0111" when digit3;
end Behavioral;

